Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python3-module-setuptools unzip
# END SourceDeps(oneline)
%define oldname python-wordpress-xmlrpc
%define fedora 28
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%if 0%{?fedora} > 12 || 0%{?rhel} >= 8
%global with_python3 1
%endif

%{!?__python2:%global __python2 %{__python}}
%{!?python2_sitelib:   %global python2_sitelib         %{python_sitelibdir_noarch}}
%{!?python2_sitearch:  %global python2_sitearch        %{python_sitelibdir}}
%{!?python2_version:   %global python2_version         %{__python_version}}

Name:           python-module-wordpress-xmlrpc
Version:        2.3
Release:        alt1_13
Summary:        WordPress XML-RPC API Integration Library

License:        BSD
URL:            https://github.com/maxcutler/python-wordpress-xmlrpc/
Source0:        http://pypi.python.org/packages/source/p/python-wordpress-xmlrpc/python-wordpress-xmlrpc-2.3.zip

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-pkg_resources python-module-setuptools

%global _description\
Python library to interface with a WordPress blog's XML-RPC API.\
\
An implementation of the standard WordPress API methods is provided, but the\
library is designed for easy integration with custom XML-RPC API methods\
provided by plugins.\
\
A set of classes are provided that wrap the standard WordPress data types\
(e.g., Blog, Post, User). The provided method implementations return these\
objects when possible.\

Source44: import.info


%description 

%_description
%if 0%{?with_python3}
%package -n python3-module-wordpress-xmlrpc
Group: Other
Summary:        WordPress XML-RPC API Integration Library
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute

%description -n python3-module-wordpress-xmlrpc
Python library to interface with a WordPress blog's XML-RPC API.

An implementation of the standard WordPress API methods is provided, but the 
library is designed for easy integration with custom XML-RPC API methods 
provided by plugins.

A set of classes are provided that wrap the standard WordPress data types 
(e.g., Blog, Post, User). The provided method implementations return these 
objects when possible.


%endif
%prep
%setup -n %{oldname}-%{version} -q

# remove bundled egg.info:
rm -rf python_wordpress_xmlrpc.egg-info

%build
%if 0%{?with_python3}
%python3_build
%endif


%python_build



%install
%if 0%{?with_python3}
%python3_install
%endif # with_python3

%python_install


%files -n python-module-wordpress-xmlrpc
%doc LICENSE README.rst wp-config-sample.cfg
%{python_sitelibdir_noarch}/wordpress_xmlrpc
%{python_sitelibdir_noarch}/python_wordpress_xmlrpc-%{version}-py%{python2_version}.egg-info

%files -n python3-module-wordpress-xmlrpc
%doc LICENSE README.rst wp-config-sample.cfg
%{python3_sitelibdir_noarch}/wordpress_xmlrpc
%{python3_sitelibdir_noarch}/python_wordpress_xmlrpc-%{version}-py%{__python3_version}.egg-info

%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 2.3-alt1_13
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 2.3-alt1_12
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 2.3-alt1_11
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 2.3-alt1_9
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2.3-alt1_7
- update to new release by fcimport

* Mon Dec 19 2016 Igor Vlasenko <viy@altlinux.ru> 2.3-alt1_5
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.3-alt1_4
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 2.3-alt1_2
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_6
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_5
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_4
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_3
- initial fc import

